apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: vlan-eno2-policy
spec:
  nodeSelector:
    kubernetes.io/hostname: slabnode2200.sprintlab704.tre.nsn-rdnet.net
  desiredState:
    interfaces:
    - name: eno2.282
      description: VLAN using eno2
      type: vlan
      state: up
      vlan:
        base-iface: eno2
        id: 282
      ipv4:
        enabled: true
        address:
        - ip : 10.92.113.14
          prefix-length: 20
    routes:
      config:
      - destination: 10.92.112.0/20
        metric: 150
        next-hop-address: 10.92.112.1
        next-hop-interface: eno2.282
        table-id: 254
